## fcitx-4.2.9.9-5.src.tar.gz

=== src/ui/CMakeLists.txt ===
add_subdirectory(cairostuff)
add_subdirectory(classic)
add_subdirectory(kimpanel)
